uniform sampler2D texture0; 
uniform float threshold;
varying vec2 texCoord;
 
const vec4 lumcoeff = vec4(0.299,0.587,0.114,0.);
 
void main(void)
{
   vec4 colour = texture2D(texture0, texCoord);
   float l = dot(colour, lumcoeff);

   if (texCoord.y < 0.5 || l < threshold)
      gl_FragColor = vec4(0, 0, 0, 0);
   else
	  gl_FragColor = colour;
}